# Uses of Class
it.tdlight.jni.TdApi.ThemeSettings

## Uses of TdApi.ThemeSettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ThemeSettings
Modifier and Type
Field
Description
`TdApi.ThemeSettings`
TdApi.ChatTheme.`darkSettings`
Theme settings for a dark chat theme.
`TdApi.ThemeSettings`
TdApi.ChatTheme.`lightSettings`
Theme settings for a light chat theme.
Constructors in it.tdlight.jni with parameters of type TdApi.ThemeSettings
Modifier
Constructor
Description
``
`ChatTheme(String name, TdApi.ThemeSettings lightSettings, TdApi.ThemeSettings darkSettings)`
Describes a chat theme.